<!DOCTYPE html>
<html>

<head>
    <title>VUE</title>
</head>

<body>
    <div id="app">
      <!-- lo borra directamente del dom -->
        <template v-if="mostrar">
          <h1>Este es mi título</h1>
          <h2>Este es mi subtitulo</h2>
          <a :href="url" target="_blank">Ir a {{pagina}}</a>
        </template>
        <!-- utiliza selectores css para ocultarlo -->
        <div v-show="mostrar">
          <h1>v show = mostrar</h1>
        </div>
        <div v-show="!mostrar">
          <h1>v show = !mostrar</h1>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script type="text/javascript">
        var app = new Vue({
      el: '#app',
      data: {
        url: 'https://google.com',
        pagina: 'Google',
        mostrar: true
      }
})
</script>
</body>

</html>